Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface ABuildProjection

All Superinterfaces:
  AAct, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Subinterfaces:
  ABuildGeography, ABuildGrid, ABuildNetwork, ABuildSpace

All Known Implementing Classes:
  ABuildGeographyImpl, ABuildGridImpl, ABuildNetworkImpl, ABuildProjectionImpl, ABuildSpaceImpl

    public interface ABuildProjection

extends AAct, SNamed

A representation of the model object ' ABuild Projection'.

Author:
  Miles Parker

  The following features are supported:

  - `Agents`
  - `Projection`
  - `Attributes`
See Also:
  `MetaABMActPackage.getABuildProjection()`

Method Summary
`org.eclipse.emf.common.util.EList<SAgent>` | `getAgents()` Returns the value of the 'Agents' reference list.
`org.eclipse.emf.common.util.EList<SAttribute>` | `getAttributes()` Returns the value of the 'Attributes' reference list.
`SProjection` | `getProjection()` Returns the value of the 'Projection' reference.
`void` | `setProjection(SProjection value)` Sets the value of the '`Projection`' reference.

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Method Detail

### getAgents

    org.eclipse.emf.common.util.EList<SAgent> getAgents()

  Returns the value of the 'Agents' reference list. The list contents are of type `SAgent`.

  If the meaning of the 'Agents' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Agents' reference list.
  See Also:
    `MetaABMActPackage.getABuildProjection_Agents()`

### getProjection

    SProjection getProjection()

  Returns the value of the 'Projection' reference.

  If the meaning of the 'Projection' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Projection' reference.
  See Also:
    `setProjection(SProjection)`, `MetaABMActPackage.getABuildProjection_Projection()`

### setProjection

    void setProjection(SProjection value)

  Sets the value of the '`Projection`' reference.

  Parameters:
    `value` - the new value of the 'Projection' reference.
  See Also:
    `getProjection()`

### getAttributes

    org.eclipse.emf.common.util.EList<SAttribute> getAttributes()

  Returns the value of the 'Attributes' reference list. The list contents are of type `SAttribute`.

  If the meaning of the 'Attributes' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attributes' reference list.
  See Also:
    `MetaABMActPackage.getABuildProjection_Attributes()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD